<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }
        
        function mysql_max($tabulka, $sloupec) {
                $row = mysql_fetch_array(dotaz("SELECT max($sloupec) FROM $tabulka;"));
                return $row[0];
        }

        je_admin();

        if(isset($_POST[neodeslat_form])) {
                header("Location: admin_obsah.php");
                exit();
        } elseif(isset($_POST[nova_skupina])) {
                $jmeno_skupiny = orez_retezec_2($_POST[jmeno_skupiny]);
                if(!empty($jmeno_skupiny)) {
                        $max = mysql_max("forum_skupiny", "poradi") + 1;
                        dotaz("INSERT INTO forum_skupiny SET poradi = '$max', jmeno = '$jmeno_skupiny';");
                }
                header("Location: admin_obsah.php");
        } elseif(!empty($_GET[pridat_forum])) {
                $id_skupiny = 1 * $_GET[pridat_forum];
                if($_GET[pridat] == 1) {
                        if((empty($_POST[jmeno_fora])) || (empty($_POST[popisek_fora]))) {
                                $chyba = "<br /><b>Jedno z povinných polí nebylo vyplněno.</b><br />";
                        } else {
                                $jmeno_fora = orez_retezec_2($_POST[jmeno_fora]);
                                $popisek_fora = orez_retezec_2($_POST[popisek_fora]);
                                $row = mysql_fetch_array(dotaz("SELECT max(poradi) FROM forum_fora WHERE skupina = '$id_skupiny';"));
                                $max = $row[0] + 1;
                                dotaz("INSERT INTO forum_fora SET poradi = '$max', jmeno = '$jmeno_fora', popis = '$popisek_fora', skupina = '$id_skupiny';");
                                header("Location: admin_obsah.php");
                        }
                }
                $oznam = "<form action=\"admin_obsah.php?pridat_forum=".$id_skupiny."&#38;pridat=1\" method=\"post\" class=\"nove_forum\">
                                <fieldset>
                                        <legend>Nové fórum</legend>".$chyba."
                                        <label>Jméno:</label><input type=\"text\" name=\"jmeno_fora\" ".$js_form." /><br />
                                        <label>Popisek fóra (max. 255 znaků):</label><textarea name=\"popisek_fora\" cols=\"0\" rows=\"0\"></textarea><br />
                                        <input type=\"submit\" name=\"nove_forum\" value=\"Přidat\" class=\"odeslat\" /><br />
                                </fieldset>
                        </form>";
        } elseif((!empty($_GET[forum_posun])) && (!empty($_GET[skupina_id])) && (!empty($_GET[forum_id])) && (!empty($_GET[forum_poradi]))) {
                $kam = orez_retezec($_GET[forum_posun]);
                $poradi = 1 * $_GET[forum_poradi];
                $skupina_id = 1 * $_GET[skupina_id];
                $forum_id = 1 * $_GET[forum_id];
                $row = mysql_fetch_array(dotaz("SELECT max(poradi) FROM forum_fora WHERE skupina = '$skupina_id';"));
                $max = $row[0];
                if(($kam == "nahoru") && ($poradi != 1)) {
                        dotaz("UPDATE forum_fora SET poradi = poradi - 1 WHERE (poradi = '$poradi' and skupina = '$skupina_id');");
                        $poradi--;
                        dotaz("UPDATE forum_fora SET poradi = poradi + 1 WHERE (poradi = '$poradi' and id <> '$forum_id' and skupina = '$skupina_id');");
                } elseif(($kam == "dolu") && ($poradi != $max)) {
                        dotaz("UPDATE forum_fora SET poradi = poradi + 1 WHERE (poradi = '$poradi' and skupina = '$skupina_id');");
                        $poradi++;
                        dotaz("UPDATE forum_fora SET poradi = poradi - 1 WHERE (poradi = '$poradi' and id <> '$forum_id' and skupina = '$skupina_id');");
                }
                header("Location: admin_obsah.php");
        } elseif(!empty($_GET[skupina_smazani])) {
                $id = 1 * $_GET[skupina_smazani];
                if((!empty($_GET[smazat])) && (isset($_POST[smazat_skupinu]))) {
                        $smazat = 1 * $_GET[smazat];
                        dotaz("DELETE FROM forum_skupiny WHERE poradi = '$smazat' LIMIT 1;");
                        dotaz("UPDATE forum_skupiny SET poradi = poradi - 1 WHERE poradi > '$smazat';");
                        dotaz("DELETE FROM forum_fora WHERE skupina = '$id';");
                        dotaz("DELETE FROM forum_temata WHERE skupina = '$id';");
                        dotaz("DELETE FROM forum_prispevky WHERE skupina = '$id';");
                        header("Location: admin_obsah.php");
                } else {
                        $row = mysql_fetch_array(dotaz("SELECT * FROM forum_skupiny WHERE id = '$id'"));
                        $oznam = "<form action=\"admin_obsah.php?skupina_smazani=".$row[id]."&#38;smazat=".$row[poradi]."\" method=\"post\"><fieldset><legend>Smazání skupiny</legend><label>Opravdu si přejete smazat skupinu <b>".$row[jmeno]."</b> včetně všech fór a příspěvků?</label><input type=\"submit\" value=\"Ano\" name=\"smazat_skupinu\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" /><br /><br /></fieldset></form>";
                }
        } elseif((!empty($_GET[skupina_posun])) && (!empty($_GET[skupina_id])) && (!empty($_GET[skupina_poradi]))) {
                $kam = orez_retezec($_GET[skupina_posun]);
                $poradi = 1 * $_GET[skupina_poradi];
                $id = 1 * $_GET[skupina_id];
                if(($kam == "nahoru") && ($poradi != 1)) {
                        dotaz("UPDATE forum_skupiny SET poradi = poradi - 1 WHERE poradi = '$poradi';");
                        $poradi--;
                        dotaz("UPDATE forum_skupiny SET poradi = poradi + 1 WHERE (poradi = '$poradi' and id <> '$id');");
                } elseif(($kam == "dolu") && ($poradi != mysql_max("forum_skupiny", "poradi"))) {
                        dotaz("UPDATE forum_skupiny SET poradi = poradi + 1 WHERE poradi = '$poradi';");
                        $poradi++;
                        dotaz("UPDATE forum_skupiny SET poradi = poradi - 1 WHERE (poradi = '$poradi' and id <> '$id');");
                }
                header("Location: admin_obsah.php");
        } elseif(!empty($_GET[forum_smazani])) {
                $id = 1 * $_GET[forum_smazani];
                $skupina_id = 1 * $_GET[skupina_id];
                if((!empty($_GET[smazat])) && (isset($_POST[smazat_forum]))) {
                        $smazat = 1 * $_GET[smazat];
                        dotaz("DELETE FROM forum_fora WHERE (poradi = '$smazat' and skupina = '$skupina_id') LIMIT 1;");
                        dotaz("UPDATE forum_fora SET poradi = poradi - 1 WHERE (poradi > '$smazat' and skupina = '$skupina_id');");
                        dotaz("DELETE FROM forum_temata WHERE forum = '$id';");
                        dotaz("DELETE FROM forum_prispevky WHERE forum = '$id';");
                        header("Location: admin_obsah.php");
                } else {
                        $row = mysql_fetch_array(dotaz("SELECT * FROM forum_fora WHERE id = '$id'"));
                        $oznam = "<form action=\"admin_obsah.php?forum_smazani=".$row[id]."&#38;skupina_id=".$skupina_id."&#38;smazat=".$row[poradi]."\" method=\"post\"><fieldset><legend>Smazání fóra</legend><label>Opravdu si přejete smazat fórum <b>".$row[jmeno]."</b> včetně všech témat a příspěvků?</label><input type=\"submit\" value=\"Ano\" name=\"smazat_forum\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" /><br /><br /></fieldset></form>";
                }
        } elseif(!empty($_GET[skupina_editace])) {
                $id_skupiny = 1 * $_GET[skupina_editace];
                if($_GET[zmen] == 1) {
                        if(empty($_POST[jmeno_skupiny])) {
                                $chyba = "<br /><b>Nové jméno nebylo vyplněno!</b><br />";
                        } else {
                                $jmeno_skupiny = orez_retezec_2($_POST[jmeno_skupiny]);
                                dotaz("UPDATE forum_skupiny SET jmeno = '$jmeno_skupiny' WHERE id = '$id_skupiny';");
                                header("Location: admin_obsah.php");
                        }
                }
                $row = mysql_fetch_array(dotaz("SELECT * FROM forum_skupiny WHERE id = '$id_skupiny';"));
                $oznam = "<form action=\"admin_obsah.php?skupina_editace=".$id_skupiny."&#38;zmen=1\" method=\"post\" class=\"nove_forum\">
                                <fieldset>
                                        <legend>Změna jména skupiny</legend>".$chyba."
                                        <label>Jméno:</label><input type=\"text\" name=\"jmeno_skupiny\" value=\"".$row[jmeno]."\" ".$js_form." /><br />
                                        <input type=\"submit\" name=\"zmena_skupiny\" value=\"Změnit\" class=\"odeslat\" /><br />
                                </fieldset>
                        </form>";
        } elseif(!empty($_GET[forum_editace])) {
                $id_fora = 1 * $_GET[forum_editace];
                if($_GET[zmen] == 1) {
                        if((empty($_POST[jmeno_fora])) || (empty($_POST[popisek_fora]))) {
                                $chyba = "<br /><b>Jedno z povinných polí nebylo vyplněno!</b><br />";
                        } else {
                                $jmeno_fora = orez_retezec_2($_POST[jmeno_fora]);
                                $popisek_fora = orez_retezec_2($_POST[popisek_fora]);
                                dotaz("UPDATE forum_fora SET jmeno = '$jmeno_fora', popis = '$popisek_fora' WHERE id = '$id_fora';");
                                header("Location: admin_obsah.php");
                        }
                }
                $row = mysql_fetch_array(dotaz("SELECT * FROM forum_fora WHERE id = '$id_fora';"));
                $oznam = "<form action=\"admin_obsah.php?forum_editace=".$id_fora."&#38;zmen=1\" method=\"post\" class=\"nove_forum\">
                                <fieldset>
                                        <legend>Změna údajů fóra</legend>".$chyba."
                                        <label>Jméno:</label><input type=\"text\" name=\"jmeno_fora\" value=\"".$row[jmeno]."\" ".$js_form." /><br />
                                        <label>Popisek fóra:</label><textarea name=\"popisek_fora\" ".$js_form.">".$row[popis]."</textarea><br />
                                        <input type=\"submit\" name=\"zmena_fora\" value=\"Změnit\" class=\"odeslat\" /><br />
                                </fieldset>
                        </form>";
        }

        echo hlavicka("Administrace | Obsah fóra", TRUE);
        echo logo();
        echo menu();
        $js_form = js_form();

        echo "\n\t<div id=\"navigace\">Administrace - Obsah fóra</div>\n\t".$oznam."\n\t<div id=\"obsah\">\n";

        $query = dotaz("SELECT * FROM forum_skupiny ORDER BY poradi;");
        while($row = mysql_fetch_array($query)) {
                echo "\t\t\t<table class=\"fora\" cellspacing=\"0\" cellpadding=\"0\">
                                <tr class=\"fora_hlavicka\">
                                        <td class=\"fora_hlavni\">".$row[jmeno]."</td>
                                        <td align=\"center\"><a href=\"admin_obsah.php?skupina_editace=".$row[id]."\">editovat</a></td>
                                        <td align=\"center\"><a href=\"admin_obsah.php?skupina_smazani=".$row[id]."\">smazat</a></td>
                                        <td align=\"center\"><a href=\"admin_obsah.php?skupina_posun=nahoru&#38;skupina_id=".$row[id]."&#38;skupina_poradi=".$row[poradi]."\">nahoru</a></td>
                                        <td align=\"center\"><a href=\"admin_obsah.php?skupina_posun=dolu&#38;skupina_id=".$row[id]."&#38;skupina_poradi=".$row[poradi]."\">dolů</a></td>
                                </tr>\n";
                $query2 = dotaz("SELECT * FROM forum_fora WHERE skupina = '$row[id]' ORDER BY poradi;");
                $a = 1;
                while($row2 = mysql_fetch_array($query2)) {
                        $a++;
                        if($a % 2) { $tr_class = " class=\"tr_2\""; } else { $tr_class = ""; }
                        echo "\t\t\t\t<tr".$tr_class.">
                                        <td>".$row2[jmeno]."</td>
                                        <td align=\"center\"><a href=\"admin_obsah.php?forum_editace=".$row2[id]."\">editovat</a></td>
                                        <td align=\"center\"><a href=\"admin_obsah.php?forum_smazani=".$row2[id]."&#38;skupina_id=".$row[id]."\">smazat</a></td>
                                        <td align=\"center\"><a href=\"admin_obsah.php?forum_posun=nahoru&#38;skupina_id=".$row[id]."&#38;forum_id=".$row2[id]."&#38;forum_poradi=".$row2[poradi]."\">nahoru</a></td>
                                        <td align=\"center\"><a href=\"admin_obsah.php?forum_posun=dolu&#38;skupina_id=".$row[id]."&#38;forum_id=".$row2[id]."&#38;forum_poradi=".$row2[poradi]."\">dolů</a></td>
                                </tr>";
                }

                echo "\t\t\t\t<tr class=\"fora_hlavicka\">
                                        <td colspan=\"5\"><a href=\"admin_obsah.php?pridat_forum=".$row[id]."\">přidat nové fórum</a></td>
                                </tr>\n\t\t\t</table>\n";
        }
?>
                        <form action="admin_obsah.php" method="post" id="nova_skupina">
                                <fieldset>
                                        <legend>Nová skupina</legend>
                                        <label>Jméno:</label><input type="text" name="jmeno_skupiny" <?php echo $js_form; ?> /><br />
                                        <input type="submit" name="nova_skupina" value="Přidat" id="odeslat" /><br />
                                </fieldset>
                        </form>
        </div>
<?php 
        echo $paticka; 
?>